<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    $cuantos=0;
$qPP = "SELECT inversionista.id_inver as id_inver, rfc, nombre, appat, apmat, tel1, tel2, tel, ciudad, sum(puntos) as compras, fechat, referencia FROM `transacciones` join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on transacciones. idtransacciones=depositos.transacciones_idtransacciones left join teldist on teldist.id_inver=inversionista.id_inver WHERE fechat between '2017-08-01' and '2017-08-31'  group by id_inver
ORDER BY sum(puntos), idtransacciones  DESC";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><b>Personas que no han comprado en el mes</b><br><br><table border=\"1\">
<th>RFC</th><th>Referencia</th><th>Nombre</th><th>Ant</th><th>Este</th><th>telnvo</th><th>tel1</th><th>tel2</th><th>Ciudad</th>";


while (($objetoPP=mysqli_fetch_object($rPP)) )


{
	$elinv=$objetoPP->id_inver;
	
		$qDG="SELECT sum(puntos) as compras FROM `transacciones` join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE fechat between '2017-09-01' and '2017-09-31' and inversionista_id_inver=$elinv ";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			if(mysqli_affected_rows($conexion)){
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$ptosnov = $rDG[0];
		    
		   	};
	}
	
	
	
	
	if($objetoPP->compras>=624 && $ptosnov<624){
$cuantos++;
	echo "<tr>

	
			<td align=\"center\">$objetoPP->rfc</td><td align=\"center\">$objetoPP->referencia</td> <td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td>
			<td align=\"center\">$objetoPP->compras</td><td align=\"center\">$ptosnov</td><td align=\"center\">$objetoPP->tel</td><td align=\"center\">$objetoPP->tel1</td><td align=\"center\">$objetoPP->tel2</td>
			<td align=\"center\">$objetoPP->ciudad</td><td align=\"center\">$objetoPP->fechat</td>

		

		  </tr> 

		 ";}

   

}

	echo"</table></center><br><br>total $cuantos";   }
	else{
	echo"<center><br><br><b>No cuentas con personas que no han comprado</b><br>
	felicidades";	
	}



  
  
?>